{
  "schema_version": "1.4.0",
  "id": "GHSA-qp79-hqwr-wfrw",
  "modified": "2025-04-12T12:32:01Z",
  "published": "2022-05-17T00:14:04Z",
  "aliases": [
    "CVE-2014-0064"
  ],
  "details": "Multiple integer overflows in the path_in and other unspecified functions in PostgreSQL before 8.4.20, 9.0.x before 9.0.16, 9.1.x before 9.1.12, 9.2.x before 9.2.7, and 9.3.x before 9.3.3 allow remote authenticated users to have unspecified impact and attack vectors, which trigger a buffer overflow.  NOTE: this identifier has been SPLIT due to different affected versions; use CVE-2014-2669 for the hstore vector.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-0064"
    },
    {
      "type": "WEB",
      "url": "https://github.com/postgres/postgres/commit/31400a673325147e1205326008e32135a78b4d8a"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2014:0211"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2014:0221"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2014:0249"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2014:0469"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2014-0064"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1065230"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT6536"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/bugtraq/2014-10/0103.html"
    },
    {
      "type": "WEB",
      "url": "http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10705"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2014-03/msg00018.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2014-03/msg00038.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0211.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0221.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0249.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0469.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/61307"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT6448"
    },
    {
      "type": "WEB",
      "url": "http://wiki.postgresql.org/wiki/20140220securityrelease"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2864"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2865"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html"
    },
    {
      "type": "WEB",
      "url": "http://www.postgresql.org/about/news/1506"
    },
    {
      "type": "WEB",
      "url": "http://www.postgresql.org/support/security"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/65725"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2120-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-03-31T14:58:00Z"
  }
}